Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.logging.log4j.core.appender.rewrite
Enum MapRewritePolicy.Mode

    java.lang.Object
      java.lang.Enum<MapRewritePolicy.Mode>
          org.apache.logging.log4j.core.appender.rewrite.MapRewritePolicy.Mode

All Implemented Interfaces:
  Serializable, Comparable<MapRewritePolicy.Mode>

Enclosing class:
  MapRewritePolicy

    public static enum MapRewritePolicy.Mode

extends Enum<MapRewritePolicy.Mode>

An enumeration to identify whether keys not in the MapMessage should be added or whether only existing keys should be updated.

Enum Constant Summary
`Add` Keys should be added.
`Update` Keys should be updated.

Method Summary
`static MapRewritePolicy.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MapRewritePolicy.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Add

    public static final MapRewritePolicy.Mode Add

  Keys should be added.

### Update

    public static final MapRewritePolicy.Mode Update

  Keys should be updated.

Method Detail

### values

    public static MapRewritePolicy.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MapRewritePolicy.Mode c : MapRewritePolicy.Mode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MapRewritePolicy.Mode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.